Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 03/04/2006, à 16:08

seb2py

[ Résolu ] Ou se trouve PHP ?

Bonjour à tous !

J'essaie d'installer sur ma Ubuntu PHP-Gtk. Mais au moment du fameux

./configure

j'obtiens le message suivant :

checking for PHP executable in /usr/bin... configure: error: Could not locate PHP executable

Pourtant PHP est bien installé puisque je l'utilise...

Et quand à la commande whereis php, elle me répond :

php:

Je fais quoi dans ces cas-là ?

Dernière modification par seb2py (Le 03/04/2006, à 19:11)


Sous Ubuntu Precise / Unity

Hors ligne

#2 Le 03/04/2006, à 17:55

Kiraa

Re : [ Résolu ] Ou se trouve PHP ?

slocate php
?

Hors ligne

#3 Le 03/04/2006, à 18:07

seb2py

Re : [ Résolu ] Ou se trouve PHP ?

Merci !

Bon il m'a retourné (entre autres) ça :

/etc/cron.d/php4
/etc/php4
/etc/php4/apache2
/etc/php4/apache2/php.ini

J'en déduis que l'exécutable PHP demandé se trouve être /etc/php4

Mais dans ce cas, comment le signaler au script "configure" ?


Sous Ubuntu Precise / Unity

Hors ligne

#4 Le 03/04/2006, à 19:10

seb2py

Re : [ Résolu ] Ou se trouve PHP ?

C'est bon, je réponds tout seul :

J'ai fait un lien via la commande :

sudo ln -s /etc/php4 /usr/bin/php

Sous Ubuntu Precise / Unity

Hors ligne

#5 Le 05/04/2006, à 18:49

skateinmars

Re : [ Résolu ] Ou se trouve PHP ?

/etc/php4 est un repertoire normalement...
Il te faut installer une version cgi de php

Hors ligne

#6 Le 05/04/2006, à 22:18

fanch317

Re : [ Résolu ] Ou se trouve PHP ?

En effet, et je précise que le packet s'appelle php4-cli ou php5-cli

Fanch

Hors ligne

Haut de page ↑